<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::category Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="namespaceunits_1_1category.html">category</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">units::category Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>namespace representing the implemented base and derived unit types.  
<a href="namespaceunits_1_1category.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a6a8e59826a504070a1904837b0a80e58"><td class="memItemLeft" align="right" valign="top"><a id="a6a8e59826a504070a1904837b0a80e58"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a6a8e59826a504070a1904837b0a80e58">scalar_unit</a></td></tr>
<tr class="memdesc:a6a8e59826a504070a1904837b0a80e58"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents a quantity with no dimension. <br /></td></tr>
<tr class="separator:a6a8e59826a504070a1904837b0a80e58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cd8f8c2ecd2fa4688f326c4bc7a20fc"><td class="memItemLeft" align="right" valign="top"><a id="a5cd8f8c2ecd2fa4688f326c4bc7a20fc"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a5cd8f8c2ecd2fa4688f326c4bc7a20fc">dimensionless_unit</a></td></tr>
<tr class="memdesc:a5cd8f8c2ecd2fa4688f326c4bc7a20fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents a quantity with no dimension. <br /></td></tr>
<tr class="separator:a5cd8f8c2ecd2fa4688f326c4bc7a20fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dede37fafca5ea729d3c4332ebc3901"><td class="memItemLeft" align="right" valign="top"><a id="a3dede37fafca5ea729d3c4332ebc3901"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a3dede37fafca5ea729d3c4332ebc3901">length_unit</a></td></tr>
<tr class="memdesc:a3dede37fafca5ea729d3c4332ebc3901"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI base unit of length. <br /></td></tr>
<tr class="separator:a3dede37fafca5ea729d3c4332ebc3901"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f67be9610e675eb843a4698e40f8d21"><td class="memItemLeft" align="right" valign="top"><a id="a0f67be9610e675eb843a4698e40f8d21"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 0 &gt;, std::ratio&lt; 1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a0f67be9610e675eb843a4698e40f8d21">mass_unit</a></td></tr>
<tr class="memdesc:a0f67be9610e675eb843a4698e40f8d21"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI base unit of mass. <br /></td></tr>
<tr class="separator:a0f67be9610e675eb843a4698e40f8d21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0de866363bb9974e1959f789d9a9db86"><td class="memItemLeft" align="right" valign="top"><a id="a0de866363bb9974e1959f789d9a9db86"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a0de866363bb9974e1959f789d9a9db86">time_unit</a></td></tr>
<tr class="memdesc:a0de866363bb9974e1959f789d9a9db86"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI base unit of time. <br /></td></tr>
<tr class="separator:a0de866363bb9974e1959f789d9a9db86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72f2400dc89006d0f0a79e3c2869b460"><td class="memItemLeft" align="right" valign="top"><a id="a72f2400dc89006d0f0a79e3c2869b460"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a72f2400dc89006d0f0a79e3c2869b460">angle_unit</a></td></tr>
<tr class="memdesc:a72f2400dc89006d0f0a79e3c2869b460"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI base unit of angle. <br /></td></tr>
<tr class="separator:a72f2400dc89006d0f0a79e3c2869b460"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7971715c2d5773789399530a700c10b5"><td class="memItemLeft" align="right" valign="top"><a id="a7971715c2d5773789399530a700c10b5"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a7971715c2d5773789399530a700c10b5">current_unit</a></td></tr>
<tr class="memdesc:a7971715c2d5773789399530a700c10b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI base unit of current. <br /></td></tr>
<tr class="separator:a7971715c2d5773789399530a700c10b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcca935d595facfce91d753c94174281"><td class="memItemLeft" align="right" valign="top"><a id="afcca935d595facfce91d753c94174281"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#afcca935d595facfce91d753c94174281">temperature_unit</a></td></tr>
<tr class="memdesc:afcca935d595facfce91d753c94174281"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI base unit of temperature. <br /></td></tr>
<tr class="separator:afcca935d595facfce91d753c94174281"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f8455cfcc9594b58e2c499095408ff4"><td class="memItemLeft" align="right" valign="top"><a id="a8f8455cfcc9594b58e2c499095408ff4"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a8f8455cfcc9594b58e2c499095408ff4">substance_unit</a></td></tr>
<tr class="memdesc:a8f8455cfcc9594b58e2c499095408ff4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI base unit of amount of substance. <br /></td></tr>
<tr class="separator:a8f8455cfcc9594b58e2c499095408ff4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a2e5c0733f4e4ecf8b3d41492658706"><td class="memItemLeft" align="right" valign="top"><a id="a4a2e5c0733f4e4ecf8b3d41492658706"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a4a2e5c0733f4e4ecf8b3d41492658706">luminous_intensity_unit</a></td></tr>
<tr class="memdesc:a4a2e5c0733f4e4ecf8b3d41492658706"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI base unit of luminous intensity. <br /></td></tr>
<tr class="separator:a4a2e5c0733f4e4ecf8b3d41492658706"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89fc081b1c8b9f1e7d2e26cbf575086f"><td class="memItemLeft" align="right" valign="top"><a id="a89fc081b1c8b9f1e7d2e26cbf575086f"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 2 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a89fc081b1c8b9f1e7d2e26cbf575086f">solid_angle_unit</a></td></tr>
<tr class="memdesc:a89fc081b1c8b9f1e7d2e26cbf575086f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of solid angle. <br /></td></tr>
<tr class="separator:a89fc081b1c8b9f1e7d2e26cbf575086f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71a92406ae7531da332d8fd2727adf42"><td class="memItemLeft" align="right" valign="top"><a id="a71a92406ae7531da332d8fd2727adf42"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt;-1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a71a92406ae7531da332d8fd2727adf42">frequency_unit</a></td></tr>
<tr class="memdesc:a71a92406ae7531da332d8fd2727adf42"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of frequency. <br /></td></tr>
<tr class="separator:a71a92406ae7531da332d8fd2727adf42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc650709b31816197530a08cabbd9df2"><td class="memItemLeft" align="right" valign="top"><a id="adc650709b31816197530a08cabbd9df2"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 1 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt;-1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#adc650709b31816197530a08cabbd9df2">velocity_unit</a></td></tr>
<tr class="memdesc:adc650709b31816197530a08cabbd9df2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of velocity. <br /></td></tr>
<tr class="separator:adc650709b31816197530a08cabbd9df2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ae69164cc4250e18d555c17b203b121"><td class="memItemLeft" align="right" valign="top"><a id="a2ae69164cc4250e18d555c17b203b121"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt;-1 &gt;, std::ratio&lt; 1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a2ae69164cc4250e18d555c17b203b121">angular_velocity_unit</a></td></tr>
<tr class="memdesc:a2ae69164cc4250e18d555c17b203b121"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of angular velocity. <br /></td></tr>
<tr class="separator:a2ae69164cc4250e18d555c17b203b121"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63109d118398c8b0f4123690c021b352"><td class="memItemLeft" align="right" valign="top"><a id="a63109d118398c8b0f4123690c021b352"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 1 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt;-2 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a63109d118398c8b0f4123690c021b352">acceleration_unit</a></td></tr>
<tr class="memdesc:a63109d118398c8b0f4123690c021b352"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of acceleration. <br /></td></tr>
<tr class="separator:a63109d118398c8b0f4123690c021b352"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcdd7d0eaedc290c7a56b2ce5340175c"><td class="memItemLeft" align="right" valign="top"><a id="adcdd7d0eaedc290c7a56b2ce5340175c"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 1 &gt;, std::ratio&lt; 1 &gt;, std::ratio&lt;-2 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#adcdd7d0eaedc290c7a56b2ce5340175c">force_unit</a></td></tr>
<tr class="memdesc:adcdd7d0eaedc290c7a56b2ce5340175c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of force. <br /></td></tr>
<tr class="separator:adcdd7d0eaedc290c7a56b2ce5340175c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5db5bc2dc58fd074af9fe1cea020f857"><td class="memItemLeft" align="right" valign="top"><a id="a5db5bc2dc58fd074af9fe1cea020f857"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt;-1 &gt;, std::ratio&lt; 1 &gt;, std::ratio&lt;-2 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a5db5bc2dc58fd074af9fe1cea020f857">pressure_unit</a></td></tr>
<tr class="memdesc:a5db5bc2dc58fd074af9fe1cea020f857"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of pressure. <br /></td></tr>
<tr class="separator:a5db5bc2dc58fd074af9fe1cea020f857"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b714d031ee06290551c9c85824f2794"><td class="memItemLeft" align="right" valign="top"><a id="a7b714d031ee06290551c9c85824f2794"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 1 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a7b714d031ee06290551c9c85824f2794">charge_unit</a></td></tr>
<tr class="memdesc:a7b714d031ee06290551c9c85824f2794"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of charge. <br /></td></tr>
<tr class="separator:a7b714d031ee06290551c9c85824f2794"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5238ec9e9d4935062dd25ea1be9ab7f7"><td class="memItemLeft" align="right" valign="top"><a id="a5238ec9e9d4935062dd25ea1be9ab7f7"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 2 &gt;, std::ratio&lt; 1 &gt;, std::ratio&lt;-2 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a5238ec9e9d4935062dd25ea1be9ab7f7">energy_unit</a></td></tr>
<tr class="memdesc:a5238ec9e9d4935062dd25ea1be9ab7f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of energy. <br /></td></tr>
<tr class="separator:a5238ec9e9d4935062dd25ea1be9ab7f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d4afbbc5c0a5810ef13a7e9517e569e"><td class="memItemLeft" align="right" valign="top"><a id="a6d4afbbc5c0a5810ef13a7e9517e569e"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 2 &gt;, std::ratio&lt; 1 &gt;, std::ratio&lt;-3 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a6d4afbbc5c0a5810ef13a7e9517e569e">power_unit</a></td></tr>
<tr class="memdesc:a6d4afbbc5c0a5810ef13a7e9517e569e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of power. <br /></td></tr>
<tr class="separator:a6d4afbbc5c0a5810ef13a7e9517e569e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6120e2f5e955204cf40247a767f70b0"><td class="memItemLeft" align="right" valign="top"><a id="aa6120e2f5e955204cf40247a767f70b0"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 2 &gt;, std::ratio&lt; 1 &gt;, std::ratio&lt;-3 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt;-1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#aa6120e2f5e955204cf40247a767f70b0">voltage_unit</a></td></tr>
<tr class="memdesc:aa6120e2f5e955204cf40247a767f70b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of voltage. <br /></td></tr>
<tr class="separator:aa6120e2f5e955204cf40247a767f70b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefb7c3b9cef2446d8ed0dec7c1c5946d"><td class="memItemLeft" align="right" valign="top"><a id="aefb7c3b9cef2446d8ed0dec7c1c5946d"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt;-2 &gt;, std::ratio&lt;-1 &gt;, std::ratio&lt; 4 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 2 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#aefb7c3b9cef2446d8ed0dec7c1c5946d">capacitance_unit</a></td></tr>
<tr class="memdesc:aefb7c3b9cef2446d8ed0dec7c1c5946d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of capacitance. <br /></td></tr>
<tr class="separator:aefb7c3b9cef2446d8ed0dec7c1c5946d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30f314570cbe9c1c415d1f5d49ff1418"><td class="memItemLeft" align="right" valign="top"><a id="a30f314570cbe9c1c415d1f5d49ff1418"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 2 &gt;, std::ratio&lt; 1 &gt;, std::ratio&lt;-3 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt;-2 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a30f314570cbe9c1c415d1f5d49ff1418">impedance_unit</a></td></tr>
<tr class="memdesc:a30f314570cbe9c1c415d1f5d49ff1418"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of impedance. <br /></td></tr>
<tr class="separator:a30f314570cbe9c1c415d1f5d49ff1418"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0a2f6b0c5ebbf2075293ac5b88ef028"><td class="memItemLeft" align="right" valign="top"><a id="af0a2f6b0c5ebbf2075293ac5b88ef028"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt;-2 &gt;, std::ratio&lt;-1 &gt;, std::ratio&lt; 3 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 2 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#af0a2f6b0c5ebbf2075293ac5b88ef028">conductance_unit</a></td></tr>
<tr class="memdesc:af0a2f6b0c5ebbf2075293ac5b88ef028"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of conductance. <br /></td></tr>
<tr class="separator:af0a2f6b0c5ebbf2075293ac5b88ef028"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22297ac1a4539a4f334c673e36071afa"><td class="memItemLeft" align="right" valign="top"><a id="a22297ac1a4539a4f334c673e36071afa"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 2 &gt;, std::ratio&lt; 1 &gt;, std::ratio&lt;-2 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt;-1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a22297ac1a4539a4f334c673e36071afa">magnetic_flux_unit</a></td></tr>
<tr class="memdesc:a22297ac1a4539a4f334c673e36071afa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of magnetic flux. <br /></td></tr>
<tr class="separator:a22297ac1a4539a4f334c673e36071afa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0d8c458796a541a150269512765b486"><td class="memItemLeft" align="right" valign="top"><a id="af0d8c458796a541a150269512765b486"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 0 &gt;, std::ratio&lt; 1 &gt;, std::ratio&lt;-2 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt;-1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#af0d8c458796a541a150269512765b486">magnetic_field_strength_unit</a></td></tr>
<tr class="memdesc:af0d8c458796a541a150269512765b486"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of magnetic field strength. <br /></td></tr>
<tr class="separator:af0d8c458796a541a150269512765b486"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2faf0f8cb76762e1534a8f35884f8ec"><td class="memItemLeft" align="right" valign="top"><a id="ad2faf0f8cb76762e1534a8f35884f8ec"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 2 &gt;, std::ratio&lt; 1 &gt;, std::ratio&lt;-2 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt;-2 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#ad2faf0f8cb76762e1534a8f35884f8ec">inductance_unit</a></td></tr>
<tr class="memdesc:ad2faf0f8cb76762e1534a8f35884f8ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of inductance. <br /></td></tr>
<tr class="separator:ad2faf0f8cb76762e1534a8f35884f8ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa00c198c610ba934b4c47e0fa98cb87"><td class="memItemLeft" align="right" valign="top"><a id="aaa00c198c610ba934b4c47e0fa98cb87"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 2 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#aaa00c198c610ba934b4c47e0fa98cb87">luminous_flux_unit</a></td></tr>
<tr class="memdesc:aaa00c198c610ba934b4c47e0fa98cb87"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of luminous flux. <br /></td></tr>
<tr class="separator:aaa00c198c610ba934b4c47e0fa98cb87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58394ebe6d7b2f0e0224e15b9f6a2637"><td class="memItemLeft" align="right" valign="top"><a id="a58394ebe6d7b2f0e0224e15b9f6a2637"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt;-2 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 2 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a58394ebe6d7b2f0e0224e15b9f6a2637">illuminance_unit</a></td></tr>
<tr class="memdesc:a58394ebe6d7b2f0e0224e15b9f6a2637"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of illuminance. <br /></td></tr>
<tr class="separator:a58394ebe6d7b2f0e0224e15b9f6a2637"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa924b93c75d56d4098565be2006d618a"><td class="memItemLeft" align="right" valign="top"><a id="aa924b93c75d56d4098565be2006d618a"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt;-1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#aa924b93c75d56d4098565be2006d618a">radioactivity_unit</a></td></tr>
<tr class="memdesc:aa924b93c75d56d4098565be2006d618a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of radioactivity. <br /></td></tr>
<tr class="separator:aa924b93c75d56d4098565be2006d618a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0889848e7dda7a24d8fb9bc2f6a90e8"><td class="memItemLeft" align="right" valign="top"><a id="ab0889848e7dda7a24d8fb9bc2f6a90e8"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 2 &gt;, std::ratio&lt; 1 &gt;, std::ratio&lt;-2 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#ab0889848e7dda7a24d8fb9bc2f6a90e8">torque_unit</a></td></tr>
<tr class="memdesc:ab0889848e7dda7a24d8fb9bc2f6a90e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of torque. <br /></td></tr>
<tr class="separator:ab0889848e7dda7a24d8fb9bc2f6a90e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7fb1ded463a284094f448de4c154faf"><td class="memItemLeft" align="right" valign="top"><a id="af7fb1ded463a284094f448de4c154faf"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 2 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#af7fb1ded463a284094f448de4c154faf">area_unit</a></td></tr>
<tr class="memdesc:af7fb1ded463a284094f448de4c154faf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of area. <br /></td></tr>
<tr class="separator:af7fb1ded463a284094f448de4c154faf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a546f3cb7c3d969e33487b87a1234d82e"><td class="memItemLeft" align="right" valign="top"><a id="a546f3cb7c3d969e33487b87a1234d82e"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 3 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a546f3cb7c3d969e33487b87a1234d82e">volume_unit</a></td></tr>
<tr class="memdesc:a546f3cb7c3d969e33487b87a1234d82e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of volume. <br /></td></tr>
<tr class="separator:a546f3cb7c3d969e33487b87a1234d82e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a159523871ed090398ff5ec773164ce85"><td class="memItemLeft" align="right" valign="top"><a id="a159523871ed090398ff5ec773164ce85"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt;-3 &gt;, std::ratio&lt; 1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a159523871ed090398ff5ec773164ce85">density_unit</a></td></tr>
<tr class="memdesc:a159523871ed090398ff5ec773164ce85"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an SI derived unit of density. <br /></td></tr>
<tr class="separator:a159523871ed090398ff5ec773164ce85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c238e66131241671b3411bf2fef3e24"><td class="memItemLeft" align="right" valign="top"><a id="a4c238e66131241671b3411bf2fef3e24"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a4c238e66131241671b3411bf2fef3e24">concentration_unit</a></td></tr>
<tr class="memdesc:a4c238e66131241671b3411bf2fef3e24"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents a unit of concentration. <br /></td></tr>
<tr class="separator:a4c238e66131241671b3411bf2fef3e24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5daae6818590f1cb7cb00f802a45688a"><td class="memItemLeft" align="right" valign="top"><a id="a5daae6818590f1cb7cb00f802a45688a"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#a5daae6818590f1cb7cb00f802a45688a">data_unit</a></td></tr>
<tr class="memdesc:a5daae6818590f1cb7cb00f802a45688a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents a unit of data size. <br /></td></tr>
<tr class="separator:a5daae6818590f1cb7cb00f802a45688a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae23b54e3a6efd89baa3daa8f9369b59f"><td class="memItemLeft" align="right" valign="top"><a id="ae23b54e3a6efd89baa3daa8f9369b59f"></a>
typedef <a class="el" href="structunits_1_1base__unit.html">base_unit</a>&lt; detail::meter_ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt;-1 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 0 &gt;, std::ratio&lt; 1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceunits_1_1category.html#ae23b54e3a6efd89baa3daa8f9369b59f">data_transfer_rate_unit</a></td></tr>
<tr class="memdesc:ae23b54e3a6efd89baa3daa8f9369b59f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents a unit of data transfer rate. <br /></td></tr>
<tr class="separator:ae23b54e3a6efd89baa3daa8f9369b59f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>namespace representing the implemented base and derived unit types. </p>
<p>These will not generally be needed by library users. </p><dl class="section see"><dt>See also</dt><dd><a class="el" href="structunits_1_1base__unit.html" title="Class representing SI base unit types.">base_unit</a> for the definition of the <a class="el" href="namespaceunits_1_1category.html" title="namespace representing the implemented base and derived unit types.">category</a> parameters. </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:54 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
